It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

×
arrow-down2arrowcart2close4fat-arrow-leftfat-arrow-rightfeedbackfriends2happy-facelogo-gognotificationnotifications-emptyownedremove-menusad-facesearch2wishlist-menuwishlisted2own_thingsheartstartick
high rated
*** Please note that this wrapper requires the clean/Galaxy-free/"classic" installer - it will not work with the Galaxy version ***

I've put together a Wine wrapper for Deus Ex, allowing it to be played on Linux almost like a native game & with no Wine knowledge required. This package uses "Deus Exe" 8.1 by Kentie and Chris Dohnal's enhanced OpenGL renderer.

Simply place the script, resource archive and installer files together in the same directory & run the script. The output is a directory containing a "GOG-style" ready-to-go Wine-wrapped version of the game (the build script also has the option to create a tarball of the assembled game package); from there installation is simply a case of moving the directory to wherever you want it installed to - then just run the start script to play :)

Running the start script with the argument "-s" will have it create a shortcut at a location of your choice.

User data is stored under ~/.local/share/deusex

Full details are in the readme.txt and release notes. Here is the download link:

deusex_wine.tar.xz
(215.2 kB, SHA256: 571bfb7fcca6aed1d7a9a8386175e40adf85154ca454fa0688b34cee38ec50b3)

Updated 2017/11/26: Update to support the new installer & some small improvements to the build script and documentation.

The wrapper uses Wine Staging 2.0 with CSMT enabled. Wine and Winetricks will be downloaded automatically if not present; to avoid redownloading for other scripts the downloaded Wine package will be stored in ~/.cache/winewrap

I've done very little testing with these particular versions of Wine & Deus Exe but I've done a complete playthrough using earlier versions and it ran perfectly, and there's no reason to think this may have changed. However if anyone does run into any problems then post in this thread, Adamhm's Linux Wine Wrappers - News, FAQ & Discussion and/or The "Judas™ does this run in Wine" thread v1.173.

Multiplayer has not been tested and may or may not work, same for Revision.

For more of my Linux Wine wrappers see my GOGmix: adamhm's Linux Wine wrappers. Also check out Adamhm's Linux Wine Wrappers - News, FAQ & Discussion

Should Deus Ex: Human Revolution ever find its way here I plan to make a wrapper for that too - AFAIK it should run quite well in Wine :)
Post edited November 26, 2017 by adamhm
You man are amazing, on a long quest to nixify the world.
What's winetricks for? I've played Deus Ex on Linux for over a decade and I never needed winetricks or any native dll overrides.
avatar
clarry: What's winetricks for? I've played Deus Ex on Linux for over a decade and I never needed winetricks or any native dll overrides.
It's included just in case the user needs it for anything (e.g. if a mod, utility or whatever needs a particular library).
Worked great for me! Thanks!
I was having lots of trouble when trying to configure wine on my own to make Deus Ex work. However after using this dude´s bash script it worked like a charm!
Thanks dude Deus Ex is now running flawless on my Deepin OS Linux 64 bit.
Works great, thank you for your work Adam!!
Works great.
I am currently not able to install. Seems like I may have the incorrect version of Deus Ex.

My downloaded version is: "setup_deus_ex_goty_1.112fm(revision_1.3.0.1)_(16231)_(g).exe"

But the readme in the script states I need: "setup_deus_ex_goty_1.112fm(revision_1.2.2)_(15442).exe"

Can any advise be provided???

I can post the error log if it is needed.
Post edited November 25, 2017 by TandyTandon
avatar
TandyTandon: My downloaded version is: "setup_deus_ex_goty_1.112fm(revision_1.3.0.1)_(16231)_(g).exe"
You've downloaded the Galaxy installer, which what the (g) in the filename indicates. To get the Galaxy-free installer you'll need to click "More" and then select the "Classic Installers" option before downloading anything.
Thanks for replying Adamhm, I have downloaded the classic version, and it does not have the (g), but the revision number does not match. The new file name is: setup_deus_ex_goty_1.112fm(revision_1.3.0.1)_(16231)...

I have tried to locate the version with revision number 1.2.2, but I am not having much success..
Post edited November 25, 2017 by TandyTandon
avatar
adamhm:
Pinging you since the person above me forgot to hit the reply button.
avatar
TandyTandon: ...setup_deus_ex_goty_1.112fm(revision_1.3.0.1)_(16231)...
Oops :p Sorry, I didn't notice that GOG had uploaded a new installer... anyway, I've updated the wrapper to support it now :)
Amazing stuff, thanks for the assistance Adamhm, and thanks for the great support you provide to the Linux community...

Thanks also Themken for pining Adamhm, will remember to do that next time, if needed.